Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::closed_iota_fn Struct Reference

## Synopsis of methods
constexpr closed_iota_fn | closed_iota {}

## Public Member Functions
template<typename From , typename To >
auto | operator() (From from, To to) const -> closed_iota_view< From, To > requires WeaklyIncrementable< From > &&Semiregular< To > &&detail::WeaklyEqualityComparableWith_< From, To > &&(!Integral< From >||!Integral< To >||std::is_signed< From >::value==std::is_signed< To >::value)